Architexa for Eclipse 3.x

Add this URL to your Eclipse Installation to reach this solution's update site.

Mars (4.5)
Luna (4.4)
Kepler (4.3)
Juno (4.2, 3.8)
Previous to Juno (<=4.1)
Neon (4.6)
Oxygen (4.7)
Photon (4.8)


Learn more...

Details Group Tabs

Friday, July 20, 2018 - 21:46
mambrose0i3's picture

I noticed that there are two different packages for this tool here in the Marketplace... One is Architexa for Eclipse 3.x and the other is Architexa for Eclipse 4.x yet both say they support Eclipse 4.x under Additional Details. I tried to install the 3.x version into my Oxygen platform and it failed with:

An error occurred while installing the items
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]com.architexa.external.org.apache.commons.collections 2.0.2.201406020043, action=).
Failed to prepare partial IU: [R]com.architexa.external.org.apache.commons.collections 2.0.2.201406020043.

Then I noticed the version for 4.x and tried installing that and it failed with:

An error occurred while installing the items
session context was:(profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Install, operand=null --> [R]com.architexa.external.org.apache.commons.collections 2.0.2.201406040154, action=).
Failed to prepare partial IU: [R]com.architexa.external.org.apache.commons.collections 2.0.2.201406040154.

So what is the deal? Why are there two different version and why won't either install in Oxygen?